%define        majver %(echo %version | cut -d. -f 1-2)
%define        libname libxslt

Name:          libxslt
Version:       1.1.28
Release:       2mamba
Summary:       Library providing the Gnome XSLT engine
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.xmlsoft.org/XSLT
Source:        ftp://xmlsoft.org/libxslt/libxslt-%{version}.tar.gz
# gnome (less up to date): http://ftp.gnome.org/pub/GNOME/sources/libxslt/%{majver}/libxslt-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: liblzma-devel
BuildRequires: libpython-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This C library allows to transform XML files into other XML files (or HTML, text, ...) using the standard XSLT stylesheet transformation mechanism. 
The xsltproc command is a command line interface to the XSLT engine.

%package devel
Group:         Development/Libraries
Summary:       Devel files for XSLT
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This C library allows to transform XML files into other XML files (or HTML, text, ...) using the standard XSLT stylesheet transformation mechanism.
The xsltproc command is a command line interface to the XSLT engine.

People can either embed the library in their application or use xsltproc the command line processing tool.

This package contains static libraries and header files need for development.

%package -n python-xslt
Group:         Development/Libraries/Python
Summary:       Python bindings for XSLT library
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
%py_requires

%description -n python-xslt
This C library allows to transform XML files into other XML files (or HTML, text, ...) using the standard XSLT stylesheet transformation mechanism.

This package contains the bindings to use the librarywith Python programs.

%prep
%setup -q

%build
%configure

%make \
   pythondir=%{python_sitearch}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeoldinstall \
   pythondir=%{buildroot}%{python_sitearch}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/xsltproc
%{_libdir}/libexslt.so.*
%{_libdir}/libxslt.so.*
%{_mandir}/man1/xsltproc.*

%files devel
%defattr(-,root,root)
%{_bindir}/xslt-config
%dir %{_includedir}/libxslt
%{_includedir}/libxslt/*.h
%dir %{_includedir}/libexslt
%{_includedir}/libexslt/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/xsltConf.sh
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
%dir %{_datadir}/doc/libxslt-%{version}
%{_datadir}/doc/libxslt-%{version}/html/*
%{_mandir}/man3/*

%files -n python-xslt
%defattr(-,root,root)
%dir %{_datadir}/doc/libxslt-python-%{version}
%{_datadir}/doc/libxslt-python-%{version}/*
%{python_sitearch}/*

%changelog
* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.28-2mamba
- python 2.7 mass rebuild

* Fri Nov 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.28-1mamba
- update to 1.1.28

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 1.1.27-1mamba
- automatic version update by autodist

* Tue Jun 29 2010 Automatic Build System <autodist@mambasoft.it> 1.1.26-2mamba
- automatic rebuild by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 1.1.26-1mamba
- automatic update to 1.1.26 by autodist

* Tue Sep 22 2009 Automatic Build System <autodist@mambasoft.it> 1.1.25-1mamba
- automatic update by autodist

* Tue Sep 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.24-1mamba
- update to 1.1.24

* Fri May 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.22-1mamba
- update to 1.1.22

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.17-1qilnx
- update to version 1.1.17 by autospec
- python-xslt requires python

* Mon Oct 03 2005 Massimo Pintore <massimo.pintore@qilinux.it> 1.1.15-1qilnx
- update to version 1.1.15 by autospec

* Fri May 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.14-1qilnx
- update to version 1.1.14 by autospec

* Mon Jun 30 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.0.30-1qilnx
- first build
